import { __extends } from "tslib";
import { jsx as _jsx } from "react/jsx-runtime";
import { PureComponent } from 'react';
import cx from 'classnames';
var Base = (function (_super) {
    __extends(Base, _super);
    function Base() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Base.prototype.render = function () {
        var _a = this.props, className = _a.className, style = _a.style, animate = _a.animate;
        var classes = cx('zent-placeholder-shape', {
            'zent-placeholder-shape--animate': animate,
        }, className);
        return _jsx("div", { className: classes, style: style, "data-zv": 'v10.0.11' }, void 0);
    };
    Base.defaultProps = {
        style: {},
        animate: true,
    };
    return Base;
}(PureComponent));
export default Base;
